#ifndef DuplicateImageDialog_h
#define DuplicateImageDialog_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"
#include "File.h"

#include <QRadioButton>

class TextEditor;

class DuplicateImageDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //* mode
    enum Mode
    {
        OpenAgain,
        Create
    };

    //* constructor
    explicit DuplicateImageDialog( QWidget*, const File& );

    //* mode
    void setMode( Mode mode )
    {
        if( mode == OpenAgain ) openCheckBox_->setChecked( true );
        else createCheckBox_->setChecked( true );
    }

    //* mode
    Mode mode() const
    { return openCheckBox_->isChecked() ? OpenAgain:Create; }

    private:

    //* reopen checkbox
    QRadioButton* openCheckBox_ = nullptr;

    //* create
    QRadioButton* createCheckBox_ = nullptr;

};

#endif
