#ifndef RefPointErrorDialog_h
#define RefPointErrorDialog_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"
#include "RefPoint.h"
#include "RefPointErrorWidget.h"

#include <QLabel>

class RefPointErrorDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //* constructor
    explicit RefPointErrorDialog( QWidget* );

    //* set local point
    void setPoint( const RefPoint& );

    //* local point
    RefPoint point() const;

    private:

    RefPoint point_;

    //* global label
    QLabel* globalLabel_ = nullptr;

    //* local label
    QLabel* localLabel_ = nullptr;

    //* error widget
    RefPointErrorWidget* xErrorWidget_ = nullptr;

    //* error widget
    RefPointErrorWidget* yErrorWidget_ = nullptr;

    //* error widget
    RefPointErrorWidget* xErrorSystWidget_ = nullptr;

    //* error widget
    RefPointErrorWidget* yErrorSystWidget_ = nullptr;

};

#endif
