/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "RefPointFormatConfiguration.h"

#include "GridLayout.h"
#include "OptionLineEditor.h"
#include "XmlOptions.h"

#include <QLabel>

//___________________________________________
RefPointFormatConfiguration::RefPointFormatConfiguration( QWidget* parent ):
    QWidget( parent ),
    OptionWidgetList( this ),
    Counter( "RefPointFormatConfiguration" )
{

    Debug::Throw( "RefPointFormatConfiguration::RefPointFormatConfiguration.\n" );

    GridLayout* gridLayout( new GridLayout );
    gridLayout->setSpacing( 5 );
    gridLayout->setMargin( 0 );
    gridLayout->setMaxCount( 2 );
    gridLayout->setColumnAlignment( 0, Qt::AlignRight|Qt::AlignVCenter );
    setLayout( gridLayout );

    QLabel* label;
    OptionLineEditor* editor;
    gridLayout->addWidget( label = new QLabel( tr( "Global positions:" ), this ) );
    gridLayout->addWidget( editor = new OptionLineEditor( this, "GLOBAL_FORMAT" ) );
    addOptionWidget( editor );
    label->setBuddy( editor );

    gridLayout->addWidget( label = new QLabel( tr( "Local positions:" ), this ) );
    gridLayout->addWidget( editor = new OptionLineEditor( this, "LOCAL_FORMAT" ) );
    addOptionWidget( editor );
    label->setBuddy( editor );

    gridLayout->addWidget( label = new QLabel( tr( "Errors:" ), this ) );
    gridLayout->addWidget( editor = new OptionLineEditor( this, "ERROR_FORMAT" ) );
    addOptionWidget( editor );
    label->setBuddy( editor );

    read( XmlOptions::get() );

}
