/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "RefPointFormatDialog.h"

#include "RefPointFormatConfiguration.h"
#include "IconNames.h"
#include "IconEngine.h"
#include "XmlOptions.h"

//________________________________________________________________________
RefPointFormatDialog::RefPointFormatDialog( QWidget* parent ):
    CustomDialog( parent, OkButton|CancelButton|Separator )
{

    Debug::Throw( "RefPointFormatDialog::RefPointFormatDialog.\n" );

    // configuration widget
    mainLayout().addWidget( configuration_ = new RefPointFormatConfiguration( this ) );

    // apply button
    applyButton_ = new QPushButton( this );
    applyButton_->setIcon( IconEngine::get( IconNames::DialogAccept ) );
    applyButton_->setText( tr( "Apply" ) );
    buttonLayout().insertWidget( 1, applyButton_ );

    // connections
    connect( applyButton_, SIGNAL(clicked()), SLOT(_updateConfiguration()) );
    connect( &okButton(), SIGNAL(clicked()), SLOT(_updateConfiguration()) );

}

//________________________________________________________________________
void RefPointFormatDialog::_updateConfiguration()
{ configuration_->write( XmlOptions::get() ); }
