/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "RegularizeDialog.h"

#include <QLabel>
#include <QLayout>

//______________________________________________________________________
RegularizeDialog::RegularizeDialog( QWidget* parent ):
    CustomDialog( parent, OkButton|CancelButton|Separator )
{

    Debug::Throw( "RegularizeDialog::RegularizeDialog.\n" );
    setWindowTitle( tr( "Regularize Marker Set - Graphscan" ) );
    setOptionName( "REFPOINT_DIALOG" );

    // explanatory label
    QLabel* label( new QLabel( tr( "This will replace existing markers by a fixed number of new markers, evenly spaced along the x axis." ), this ) );
    label->setWordWrap( true );
    mainLayout().addWidget( label );

    // spinbox
    QHBoxLayout* hLayout = new QHBoxLayout;
    hLayout->setSpacing( 5 );
    hLayout->setMargin( 0 );
    mainLayout().addLayout( hLayout );

    label = new QLabel( tr( "Number of regularized markers:" ), this );
    hLayout->addWidget( label );
    hLayout->addWidget( spinbox_ = new QSpinBox( this ) );
    spinbox_->setMinimum( 2 );
    spinbox_->setMaximum( 100 );
    label->setBuddy( spinbox_ );

    okButton().setText( tr( "Regularize" ) );

}
