#ifndef XmlDef_h
#define XmlDef_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include <QString>

//* Some Xml definitions
namespace Xml
{

    static const QString ImageRecordList( "ImageList" );
    static const QString ImageRecord( "Image" );

    static const QString ImageVersion( "Version" );
    static const QString RefPoints( "RefPoints" );
    static const QString DataSet( "DataSet" );
    static const QString DrawFlags( "DrawFlags" );
    static const QString Point( "Point" );
    static const QString Index( "Index" );

    static const QString ErrorMode( "ErrorMode" );

    //*@name statistical errors
    //@{
    static const QString ErrorX( "ErrorX" );
    static const QString ErrorY( "ErrorY" );
    //@}

    //*@name systematic errors
    //@{
    static const QString ErrorSystX( "ErrorSystX" );
    static const QString ErrorSystY( "ErrorSystY" );
    //@}

    //*@name error attributes
    //@{
    static const QString ErrorPlus( "Plus" );
    static const QString ErrorMinus( "Minus" );
    static const QString ErrorGlobalPlus( "Plus" );
    static const QString ErrorGlobalMinus( "Minus" );
    static const QString ErrorRelative( "Relative" );
    //@}

    static const QString Global( "Global" );
    static const QString Local( "Local" );
    static const QString X( "x" );
    static const QString Y( "y" );
    static const QString Flags( "Flags" );
    static const QString Valid( "Valid" );
    static const QString ZoomMode( "ZoomMode" );
    static const QString ZoomFactor( "ZoomFactor" );
}

#endif
